sections:
  - label: Scramble
    color: orange
    checklists:
      - code: 00-scramble
        label: Scramble Operation

        items:
          - label: TODO
            action: TODO
            color: yellow

  - label: Emergency
    color: red
    checklists:
      - code: 10-engine-failure
        label: Engine Failure
        items:
          - label: SEAT EJECT
            action: PULL
            color: blue

  - label: Start & Stop
    color: green
    checklists:
      - code: 20-start
        label: Start

        items:
          - label: BATT
            action: ON
            color: blue
          - label: GEN
            action: ON
            color: blue
          - label: ICS Ground & Aux Volume
            action: ON
            color: orange
          - label: FUEL CUTOFF HANDLE
            action: ON
            color: purple
          - label: DECS
            action: ON
            color: purple
          - label: FUEL PROP
            action: ON
            color: purple
          - label: LEFT AND RIGHT PUMPS
            action: ON
            color: purple
          - label: INTERNAL LIGHTS
            action: AS REQUIRED
            color: orange
          - label: EXTERNAL LIGHTS, MASTER LIGHTS
            action: AS REQUIRED
            color: purple
          - label: RADIO, COMM 1 & COMM 2
            action: VOL & FREQ
            color: white
          - label: LEFT MFCD
            action: ON & HSD
            color: red
          - label: RIGHT MFCD
            action: ON & ENG
            color: green
          - label: UFC & HUD
            action: ON
            color: white
          - label: PARKING BRAKE
            action: SET
            color: yellow
          - label: TEST+WARN LIGHTS
            action: TEST
            color: orange
          - label: CANOPY
            action: CLOSE
            color: black
          - label: ENG ST
            action: START
            color: blue
          - label: THROTTLE CUTOFF
            action: LIFT
            color: yellow
          - label: THROTTLE
            action: IDLE
            color: yellow
          - label: THROTTLE CUTOFF
            action: DOWN
            color: yellow
          - label: OXYGEN
            action: ON
            color: purple
          - label: SAS CHANNELS (3)
            action: ON
            color: yellow
          - label: FLAP SYSTEM
            action: CHECK ON
            color: yellow
          - label: FLAPS
            action: VSTOL OR AUTO
            color: yellow
          - label: FLIR
            action: AS REQUIRED
            color: black
          - label: INS
            action: ALIGN
            color: black
          - label: DMT
            action: ENABLE
            color: black
          - label: INS (when aligned)
            action: NAV
            color: black
          - label: RWR
            action: ON
            color: green
          - label: EXP (COUNTMESURES)
            action: ON
            color: green
          - label: ECM
            action: AS REQUIRED
            color: green
          - label: EJECTION SEAT
            action: ARM
            color: black
          - label: STAB
            action: 2° DOWN
            color: black
          - label: FLIGHT CONTROLS
            action: CHECK
            color: black

      - code: 21-shutdown
        label: SHUTDOWN

        items:
          - label: FLAPS
            action: UP
            color: yellow
          - label: SAS CHANNELS Switches (3)
            action: OFF
            color: yellow
          - label: FLIR, INS, DMT
            action: OFF
            color: black
          - label: RWR
            action: OFF
            color: green
          - label: EXP (COUNTMESURES)
            action: OFF
            color: green
          - label: ECM
            action: OFF
            color: green
          - label: THROTTLE CUTOFF
            action: LIFT
            color: yellow
          - label: THROTTLE (when RPM <60%)
            action: CUTOFF
            color: yellow
          - label: RADIO & LIGHTS
            action: OFF
            color: yellow
          - label: OXYGEN
            action: OFF
            color: yellow
          - label: EJECTION SEAT
            action: DISARM
            color: black
          - label: LEFT & RIGHT FUEL PUMPS
            action: OFF
            color: purple
          - label: FUEL PROP
            action: OFF
            color: purple
          - label: MFCDs, UFC, HUD
            action: OFF
            color: white
          - label: CANOPY
            action: OPEN
            color: black
          - label: GENERATOR
            action: OFF
            color: blue
          - label: BATT
            action: OFF
            color: blue

  - label: Flight
    color: blue
    checklists:
      - code: 30-taxi
        label: TAXI
        items:
          - label: FLAPS
            action: AUTO
            color: yellow
          - label: NOZZLE
            action: 8°
            color: yellow
          - label: H2O
            action: OFF
            color: yellow
          - label: LANDING/TAXI LIGHTS Switch
            action: TAXI
            color: yellow
          - label: ANTI SKID Switch
            action: NWS
            color: yellow

      - code: 31-before-take-off
        label: BEFORE TAKE OFF
        items:
          - label: FLAPS
            action: STOL
            color: yellow
          - label: MASTER MODE
            action: VSTOL
            color: red
          - label: NOZZLE
            action: 0°
            color: green
          - label: H2O
            action: TO
            color: yellow
          - label: LANDING/TAXI LIGHTS Switch
            action: LANDING
            color: yellow
          - label: ANTI SKID Switch
            action: ON
            color: yellow
          - label: ALTIMETER Switch
            action: RDR
            color: white

      - code: 33-0-conventional-take-off
        label: CONVENTIONAL TAKE OFF
        items:
          - label: TODO
            action: TODO
            color: yellow

      - code: 33-1-short-take-off
        label: SHORT TAKE OFF
        items:
          - label: TODO
            action: TODO
            color: yellow

      - code: 33-2-vertical-take-off
        label: VERTICAL TAKE OFF
        items:
          - label: TODO
            action: TODO
            color: yellow

      - code: 34-after-take-off
        label: AFTER TAKE OFF
        items:
          - label: FLAPS
            action: AUTO
            color: yellow
          - label: H2O
            action: OFF
            color: yellow
          - label: NOZZLE
            action: 0°
            color: green
          - label: MASTER MODE
            action: NAV
            color: red
          - label: ALTIMETER Switch
            action: BARO
            color: white

      - code: 35-after-climb
        label: AFTER CLIMB
        items:
          - label: FLAPS
            action: CRUSE
            color: yellow
          - label: TODO
            action: TODO
            color: yellow

      - code: 36-0-air-refuel
        label: AIR REFUEL
        items:
          - label: MASTER ARM
            action: OFF
            color: red
          - label: AIR SPEED
            action: <300 kts
            color: yellow
          - label: A/R Switch
            action: OUT
            color: purple
          - label: FLAPS
            action: CRUISE
            color: yellow
          - label: AFC
            action: OFF
            color: yellow
          - label: AOA
            action: <13°
            color: white
          - label: MASTER LIGHTS
            action: ON
            color: purple

      - code: 36-1-after-air-refuel
        label: AFTER AIR REFUEL
        items:
          - label: A/R Switch
            action: IN
            color: purple
          - label: MASTER LIGHTS
            action: AS REQUIRED
            color: purple
          - label: MASTER ARM
            action: AS REQUIRED
            color: red

      - code: 36-approach
        label: APPROACH
        items:
          - label: TODO
            action: TODO
            color: yellow

      - code: 39-0-conventional-langing
        label: CONVENTIONAL LANDING
        items:
          - label: TODO
            action: TODO
            color: yellow

      - code: 39-1-short-langing
        label: SHORT LANDING
        items:
          - label: TODO
            action: TODO
            color: yellow

      - code: 39-3-vertical-langing
        label: VERTICAL LANDING
        items:
          - label: TODO
            action: TODO
            color: yellow

  - label: Combat
    color: yellow
    checklists:
      - code: 40-fence-in
        label: FENCE IN

        items:
          - label: MASTER LIGHTS
            action: AS REQUIRED / OFF
            color: purple
          - label: MASTER MODE
            action: AS REQUIRED
            color: red

      - code: 41-a-a-missile
        label: A-A MISSILE

        items:
          - label: MASTER MODE (Hotas Switch)
            action: A/A
            color: yellow
          - label: JETT
            action: SAFE
            color: red
          - label: LEFT MFCD
            action: STRS
            color: red
          - label: STATION
            action: SELECT
            color: red
          - label: MASTER ARM
            action: ON
            color: red
          - label: WEAPON (TRIGGER)
            action: FIRE
            color: red

      - code: 41-gun
        label: A-A / A-G GUN

        items:
          - label: MASTER MODE (Hotas Switch)
            action: GUNS
            color: yellow
          - label: JETT
            action: SAFE
            color: red
          - label: LEFT MFCD
            action: STRS
            color: red
          - label: STATION
            action: SELECT
            color: red
          - label: MASTER ARM
            action: ON
            color: red
          - label: GUN (TRIGGER)
            action: FIRE
            color: red

      - code: 49-fence-out
        label: FENCE OUT

        items:
          - label: MASTER LIGHTS
            action: AS REQUIRED / ON
            color: purple
          - label: MASTER MODE
            action: NAV
            color: red
